! Time-stamp: <2010-12-21 19:42:35 guenter>
!
! smsinit.prg
!
if "{p1(1:1)}" .eq. "?" then
   if {MID$SESS(16:17)} .ge. 10 set/midas output=green
   write/out "Set parameters to default value" 
   if {MID$SESS(16:17)} .ge. 10 set/midas output=default
   register/session sms MID_WORK sms/smsinit.prg smstab.tbl
!
!Begin Session List
   write/keyword smsdcoords/i/1/2 700,500   !place of the display window
   write/keyword smsddim/i/1/2 600,300      !size of display window
   write/keyword smsdec/r/1/3     0,0,0.0   !object declination
   write/keyword smsdisplaynum/c/1/1 "4"    
   write/keyword smsdisplayscale/i/1/1 -2   !param sc used in load/image
   write/keyword smselev/r/1/1 595.0        !elevation over sea level
   write/keyword smseqcurs/i/1/1 2	    !number of cursors in equiv/sms
   write/keyword smseqdeg/i/1/1/ 1          !degree of continuumfit
   write/keyword smseqline/c/1/8 "H_alpha"  !line id
   write/keyword smsflat/c/1/30 " "         !name of averaged flat field
   write/keyword smsflatfilter/r/1/1 1.     !factor of median filter threshold 
   write/keyword smsflip/c/1/1 "n"	    !flip images in x
   write/keyword smsheadercheck/c/1/1 "y"   !check headers
   write/keyword smslang/c/1/2 "de"	    !preferred language
   write/keyword smslat/r/1/3      49,16,26 !northern latitude in d,m,s
   write/keyword smslindisp/r/1/1 0.1	    !linear step in smsresult 
   write/keyword smslong/r/1/3     11,29,16 !eastern longitude in d,m,s (positive!)
   write/keyword smslastcat/c/1/20 " "      !catalogue to use in next command
   write/keyword smsneval/i/1/1 20          !neval in fit/image
   write/keyword smsobject/c/1/30 "Star"    !object identifier
   write/keyword smsobserver/c/1/30 "+"     !name of observer
   write/keyword smsownstring/c/1/30 "+"
   write/keyword smsra/r/1/3      0,0,0.0   !object rightascension
   write/keyword smsrelax/i/1/1 0.2         !metpar in fit/image
   write/keyword smsresult/c/1/40 " "       !file name of result spectrum
   write/keyword smsselect/c/1/1     "y"
   write/keyword smsstn/i/1/1 50	    !continuum filter width
   write/keyword smstype/c/1/1  "s"         !object type s=star, m=manual, f=full
   write/keyword smsverb/c/1/1 "l"          !verbosity
   write/keyword smsview/c/1/1 "n"          !view some activities
   write/keyword smsypixels/i/1/1 200	    !extracted frames display height
   write/keyword xdx/i/1/1 0		    !position of dot in file names
   !
   write/keyword resultask/c/1/30     " "
   write/keyword actucat/c/1/20	      " "
   write/keyword biassubtr/c/1/20     " "
   write/keyword biasprompt/c/1/40    " "
   write/keyword cleaned/c/1/10	      "Cleaned  "
   write/keyword corrregion/c/1/40    " "
   write/keyword created/c/1/20       " "
   write/keyword cspecprompt/c/1/50   " "
   write/keyword darkprompt/c/1/30    " "
   write/keyword darksfound/c/1/30    " "
   write/keyword darksused/c/1/20     " "
   write/keyword dateask/c/1/40	      " "
   write/keyword decask/c/1/20	      " "
   write/keyword done/c/1/10	      " "
   write/keyword dcxask/c/1/30	      " "
   write/keyword elevask/c/1/20	      " "
   write/keyword fcobjects/c/1/40     " "
   write/keyword fdarkask/c/1/40      " "
   write/keyword flatnameask/c/1/40   " "
   write/keyword found/c/1/20         " "
   write/keyword framesfound/c/1/30   " "
   write/keyword hotprompt/c/1/30     " "
   write/keyword lampspec/c/1/30      " "
   write/keyword latask/c/1/40	      " "
   write/keyword lindispask/c/1/40    " "
   write/keyword longask/c/1/40	      " "
   write/keyword masterask/c/1/40     " "
   write/keyword masterdarkname/c/1/30 " "
   write/keyword medianuse/c/1/40     " "
   write/keyword nocat/c/1/50         " "
   write/keyword nodarkfound/c/1/40   " "
   write/keyword norot/c/1/50         " "
   write/keyword notfound/c/1/30      " "
   write/keyword objectask/c/1/20     " "
   write/keyword objectsfound/c/1/30  " "
   write/keyword objprompt/c/1/50     " "
   write/keyword only1d/c/1/40 	      " "
   write/keyword pathask/c/1/30	      " "
   write/keyword raask/c/1/20	      " "
   write/keyword rebcspec/c/1/30      " "
   write/keyword regionask/c/1/60     " "
   write/keyword rotklick/c/1/30      " "
   write/keyword smsatwork/c/1/20     " "
   write/keyword smsdarksub/c/1/40    " "
   write/keyword smshotexcess/c/1/30  " "
   write/keyword stdsfound/c/1/30     " "
   write/keyword stdsprompt/c/1/50    " "
   write/keyword timeask/c/1/40       " "
   write/keyword twoklicks/c/1/40     " "
   write/keyword usingcat/c/1/20      " "
   write/keyword biasesfound/c/1/30   " "
   write/keyword flatprompt/c/1/11    "Flatfield: "
   write/keyword flatsfound/c/1/30    " "
   write/keyword flatsky/c/1/40	      " "
   write/keyword fdarkprompt/c/1/40   " "
   write/keyword fnormask/c/1/40      " "
   write/keyword fnormerr/c/1/40      " "
   write/keyword framescut/c/1/30     " "
   write/keyword rotationmsg/c/1/30   " "
   write/keyword thresask/c/1/30      " "
   write/keyword skyask/c/1/40        " "
   write/keyword objask/c/1/30        " "
   write/keyword ownstringask/c/1/20  " "
   write/keyword rectangle/c/1/30     " "
   write/keyword selectfits/c/1/30    " "
   write/keyword smsupper/c/1/60      " "
   write/keyword smslower/c/1/60      " "
   write/keyword lincatask/c/1/20     " "
   write/keyword smsreviewask/c/1/15  " "
   write/keyword smslineask/c/1/20    " "
   write/keyword mandatory/c/1/20     " "
   write/keyword paraask/c/1/20       " "
   write/keyword parasave/c/1/30      " "
   write/keyword cspecsfound/c/1/30   " "
   write/keyword stonmessage/c/1/30   " "
   write/keyword zoommessage/c/1/30   " "
   write/keyword integask/c/1/50      " "
   write/keyword smslinid/c/1/30      " "
   write/keyword smseq/c/1/20         " "
   write/keyword smsphraseask/c/1/30  " "
   write/keyword smseqselect/c/1/8    " "
   write/keyword smsplace/c/1/50      " "
   write/keyword smsresmean/c/1/40    " "
   write/keyword terrbartop/c/1/42    " " 
   write/keyword terrpm/c/1/41        " "
   write/keyword terrlr/c/1/41	      " "
   write/keyword terrbs/c/1/41 	      " "
   write/keyword terrwn/c/1/41	      " "
   write/keyword terrq/c/1/41	      " "
   write/keyword terrbarbottom/c/1/41 " "
   write/keyword obsask/c/1/20        " "
   write/keyword smslinesavail/c/1/30 " "
   write/keyword lineselask/c/1/30    " "
   write/keyword markask/c/1/35       " "
   write/keyword labelfileask/c/1/30  " "
   write/keyword selectask/c/1/20     " "
   write/keyword retainask/c/1/15     " "
!End Session List
!
!   set/sms session = default
set/long gain=1.8 ron=16
set/long lincat=neon tol=2.0
set/long twodopt=yes dcx=3,3 thres=0.002
!
else
!
   define/local table/c/1/40 " " all
   xdx = m$index("{p1}",".") - 1
   table = p1
   if xdx .ge. 1 table = p1(1:{xdx})
!   write/out p1 = "{table}"
   if m$exist("{table}.tfits") .eq. 1 then
      indisk/fits {table}.tfits {table}.tbl
      indisk/fits {table}_long.tfits {table}_long.tbl
   endif
   savinit/sms {table}.tbl READ
   savinit/long {table}_long.tbl READ
!
   write/sms "Parameters loaded from {p1}.tbl" green
endif
!
inquire/keyword smslang "Your Language: [{smslang}]"
if smslang .eq. "de" then
   write/sms "---------- Bitte lies auch die Anleitung. ----------------"
   actucat       =  "Aktueller Katalog:"
   biasesfound   =  " Biasframes gefunden."
   biasprompt    =  "Pfad und Namensanfang der Biasdateien: "
   biassubtr	 =  "MBIAS abgezogen"
   cleaned	 =  "Bereinigt"
   corrregion	 =  "Bestimme Bereich durch 2 mal klicken"
   created	 =  " erzeugt."
   cspecsfound   =  " Vergleichsspektren gefunden."
   cspecprompt   =  "Vergleichsspektrum: "
   darkprompt    =  "Pfad und Namensanfang der Dunkelstroeme : "
   darksfound    =  " Darks gefunden."
   darksused	 =  " Darks verwendet."
   dateask       =  "Datum der Aufnahme "
   dcxask	 =  "Grad des Polynoms"
   decask	 =  "Deklination"
   done		 =  "Erledigt."
   elevask	 =  "Meereshoehe in m"
   fcobjects     =  "Flatkorrigierte Objektspektren"
   fdarkask	 =  "Name der FDARK-Datei oder Zahl"
   flatnameask   =  "Name des Masterflat"
   flatsfound    =  " Flats gefunden."
   flatsky	 =  "unterer und oberer Bereich des Hintergrunds"
   fnormask      =  "Art der Normierung?"
   fnormerr      =  "*** Ohne Normierung"
   found         =  " Linien gefunden."
   framescut     =  "Alle Bilder beschnitten."
   framesfound	 =  " Dateien gefunden."
   hotprompt     =  "Pfad und Namensanfang der Dunkelstroeme : "
   integask	 =  "Bereich mit dem Cursor bestimmen? (y/n) "
   labelfileask  =  "kompletter Dateiname"
   lampspec	 =  "Vergleichsspektrum"
   latask        =  "geogr. Breite (noerdl. positiv)"
   lincatask     =  "Linienkatalog? "
   lindispask    =  "gewuenschte Lineardispersion "
   lineselask    =  "Waehle eine davon aus: "
   longask       =  "geogr. Laenge (oestl. positiv)"
   mandatory     =  "notwendig"
   markask       =  "Markiere den Anfang des Eintrags"
   masterask     =  "Name der erzeugten Masterdateien: "
   masterdarkname = "Name des Masterdarks (max 30 Zeichen): "
   medianuse     =  "Median statt Bild verwenden? (y/n) [n]"
   nocat 	 =  "ist kein Katalog"
   nodarkfound   =  "*** Kein geeignetes Dark gefunden ***"
   norot	 =  "Winkel = 0, keine Drehung"
   notfound      =  "*** Keine Datei(en) gefunden ***"
   objask        =  "Objektgrenzen"
   objectask	 =  "Objekt"
   objectsfound  =  " Objektspektren gefunden."
   objprompt     =  "Pfad und Namensanfang der Objektspektren : "
   obsask        =  "Beobachter: "
   only1d	 =  "Nur 1dimensionale Spektren erlaubt"
   paraask	 =  "Name der Sitzung"
   parasave	 =  "Parameter gespeichert in "
   pathask       =  "Pfad und Namen der Dateien"
   raask	 =  "Rektaszension"
   rebcspec	 =  "kalibriertes Spektrum"
   rectangle	 =  " Rechteck mit 2 Clicks"
   regionask	 =  "--> Bestimme Region um das Spektrum: 2 x klicken"
   resultask     =  "Ergebnisspektrum "
   retainask     =  "Verwenden?"
   rotationmsg	 =  "Drehwinkel ="
   rotklick      =  "Links und rechts auf das Spektrum klicken"
   selectfits    =  "Exportieren"
   smsatwork     =  "  ... arbeite"
   smsdarksub	 =  "Dunkelstroeme abgezogen."
   stdsfound     =  " Standardspektren gefunden."
   stdsprompt    =  "Pfad und Namensanfang der Standardspektren : "
   smshotexcess  =  "Mindestlevel der Hot Pixel "
   skyask        =  "unterer und oberer Himmelshintergrund"
   smsupper      =  "*** Objekt am oberen Rand! smstype=e?"
   smslower      =  "*** Objekt am unteren Rand! smstype=e?"
   smsreviewask  =  "Auswahl? "
   smslineask    =  "Wellenlaenge? "
   stonmessage   =  "Waehle den Bereich."
   smslinid	 =  "Bezeichnung der Linie: "
   smseq	 =  "Aequivalentweite = "
   smsphraseask  =  "Bemerkung in \"..\": "
   smseqselect   =  "Waehle eine Linie aus: "
   smsplace      =  "Markiere die obere linke Ecke des Eintrags"
   smsresmean    =  "Mittlere Aufloesung: "
   smslinesavail =  "Gemessene EQs: "
   ownstringask  =  "Eigene Zeile in"
   selectask     =  "Objektaufnahmen auswaehlen?"
   terrbartop    =  "  ____________________________________ "
   terrpm        =  " | +,-  Linien intensiver, schwaecher |"
   terrlr        =  " | l,r  links, rechst schieben        |"
   terrbs     	 =  " | b,s  Linien breiter schmaeler      |"
   terrwn	 =  " | w,n  Abstand weiter, naeher        |"
   terrq	 =  " | q    Fertig                        |"
   terrbarbottom =  " |____________________________________|"
   timeask       =  "UT der Aufnahme "
   thresask	 =  "Neuer Threshold "
   twoklicks     =  "Bereich mit 2 Klicks bestimmen"
   usingcat	 =  "Verwende Katalog"
   zoommessage   =  "Zoomen mit 2 Klicks."
else
   actucat       =  "current catalogue:"
   biasesfound   =  " biases found."
   biasprompt    =  "Path and root name of biases: "
   biassubtr	 =  "MBIAS subtracted"
   corrregion	 =  "Determine region with two clicks"
   created       =  " created."
   cspecsfound   =  " comparison spectra found." 
   cspecprompt   =  "Comparison spectrum: "
   darkprompt    =  "Path and root name of darks: "
   darksfound    =  " darks found."
   darksused     =  " darks used."
   dateask	 =  "Date of exposure "
   dcxask	 =  "Degree of polynomal"
   done		 =  "Done"
   decask        =  "Declination"
   elevask	 =  "Altitude in m"
   fcobjects	 =  "flatcorrected object spectra"
   fdarkask      =  "Name of FDArk file"
   filesfound    =  " files found"
   flatnameask   =  "Name of Masterflat"
   found         =  " lines found"
   hotprompt     =  "Path and root name of darks : "
   lampspec	 =  "lamp spectrum"
   latask	 =   "Latitude (norther positive)"
   lindispask    =  "Linear dispersion of rebinned frames "
   longask	 =  "Longitude (eastern positive) "
   masterask     =  "Rootname of created masterframes: "
   masterdarkname = "Name of Masterdarks (30 char max): "
   medianuse     =  "Use Median not image? (y/n) [n]"
   nocat	 =  "is not a catalogue"
   nodarkfound   =  "*** No apropriate dark found ***"
   norot	 =  "Angle = 0, no rotation"
   notfound      =  "*** File(s) not found ***"
   objectask	 =  "Object"
   objectsfound  =  " objects found."
   objprompt     =  "Path and root name of objects : "
   pathask	 =  "Path and name of frames: "
   raask	 =  "Rightascension"
   rebcspec	 =  "Calibrated Spectrum"
   rectangle 	 = "Rectangle with 2 clicks"
   regionask	 =  "--> Select region of interest: Click twice"
   resultask     =  "Name of result frame "
   rotationmsg	 =  "Angle ="
   rotklick	 =  "Click at left and at right on the spectrum"
   selectfits    =  "Export"
   smsatwork     =  " ... processing"
   smsdarksub	 =  "Darks subtracted"
   smshotexcess  =  "Minimum level of hot pixels "
   stdsfound     =  " standard stars found."
   timeask	 =  "UT of exposure " 
   twoklicks     =  "Determine region with 2 clicks"
   usingcat	 =  "Using catalogue "
   flatsfound    =  " flats found"
   fnormask      =  "Method or normalisation?"
   fnormerr	 =  "*** Without normalization"
   framescut     =  "Useful part of frames extracted"
   flatsky	 =  "Lower and upper background"
   thresask      =  "New threshold "
   skyask        =  "Lower and upper sky"
   objask        =  "Object limits"
   smsupper      =  "*** Object to near at upper border! smstype=e?"
   smslower      =  "*** Objekt to near at lower border! smstype=e?"
   lincatask     =  "Line catalogue? "
   smsreviewask  =  "Selection? "
   smslineask    =  "Wavelength? "
   mandatory     =  "mandatory"
   omly1d	 =  "Only 1d spektra allowed"
   paraask       =  "session name"
   parasave      =  "Parameters saved to "
   stonmessage   =  "Choose region."
   zoommessage   =  "Zoom in with two clicks."
   integask      =  "Define interval with cursor? (y/n) "
   smslinid      =  "Line identifier: "
   smseq         =  "Equivalentwidth = "
   smsphraseask  =  "Comment in \"..\": "
   smseqselect   =  "Please choose one line: "
   smsplace      =  "Mark upper left corner of the entry."
   smsresmean    =  "Mean resolution: "
   terrbartop    =  "  ______________________________ "
   terrpm	 =  " | +,- lines stronger, weaker   |"
   terrlr	 =  " | l,r shift left, right        |"
   terrbs 	 =  " | b,s lines broader, smaller   |"
   terrwn	 =  " | w,n spectrum wider, narrower |"
   terrq      	 =  " | q   quit                     |"
   terrbarbottom =  " |______________________________|"
   obsask        =  "Observer: "
   smslinesavail =  "Measured EQs"
   lineselask    =  "Select one: "
   markask       =  "Click to locate startpoint of entry"
   labelfileask  =  "Complete filename"
   ownstringask  =  "Enter your own line"
   selectask     =  "select object frames?"
   retainask     =  "Retain?"
endif
