! Time-stamp: <2011-01-01 12:49:41 guenter>
!
! smsston.prg
!
define/para p1 {smsresult} C "Input frame: "
define/para p2 {smsstn} N "Width of median filter: "

if p1 .eq. "-h" then
   @@ sms/help/stonhelp.prg
   return
endif


define/local stn/r/1/1 1.

set/midas output={smsverb} 
delete/display {smsdisplaynum}

graph/long
plot/row {p1}
write/sms "{stonmessage}"
get/gcur middummxpos ? 2
sort/tabl &xpos :X_COORD
extract/image &stnex = {p1} [{&xpos,:X_COORD,@1}:{&xpos,:X_COORD,@2}]
if {p2} .ne. 0 then
   filter/median {p1} &stnf {p2},0
else
   statis/image &stnex option=RNNN
   compute/image &stnf = &stnex * 0 + {outputr(3)}
endif
compute/image &stnn = &stnex / &stnf
statis/image &stnn
set/graph binmode=on
plot/row &stnex
set/graph colour=4 lwidth=3
overplot/row &stnf
set/graph colour=1 lwidth=1 binmode=off
stn = {outputr(3)} / {outputr(4)}
write/desc {p1} sigtonoise/r/1/3 {stn},{&xpos,:X_COORD,@1},{&xpos,:X_COORD,@2}
write/dhelp {p1} sigtonoise "S/N,StartWL,EndWL"
set/form f5.0
write/sms "S/N = {stn}"
set/form
