! Time-stamp: <2010-12-17 19:31:19 guenter>
!
! smsflat.prg
!

define/para p1 ? ? "{flatprompt}"
define/para p2 MFDARK.bdf ? "{fdarkprompt}"

if p1 .eq. "-h" then
  @@ sms/help/flathelp.prg
  return
endif

define/local i/i/1/1 1
define/local catal/i/1/1 0
define/local name/c/1/80 " " all
define/local fexptime/r/1/1 1.0
define/local threshold/r/1/1 100
define/local scale/r/1/1 {smsdisplayscale}
define/local normmeth/c/1/1 "0"

set/midas output={smsverb} workenv=midas

if m$exist("FLATS.cat") .eq. 1 then
   delete/icat FLATS.cat noconf >/dev/null
   -delete FLATS.cat
endif

@@ sms/smsreadin.prg {p1} FLATS smsflat

write/sms "{smsatwork}"

average/image &bild = FLATS.cat ? ? MEDIAN
extract/image &rohflat = &bild [<,{trim(2)}:>,{trim(4)}]

statis/image &rohflat ? ? ? FN
! threshold is n times standard_deviation in MFLAT
threshold = {smsflatfilter} * {&rohflat.bdf,statistic(4)}

filter/median &rohflat &filterflat 2,1,{threshold}

compute/image MFLAT = &filterflat - {p2}

@@ sms/smsdisplay.prg MFLAT "MFLAT.bdf"


NORMALIZE:

write/sms "{fnormask}"  cyan
write/sms "NORMAL/FLAT      N" cyan
write/sms "MFLAT/median     0" cyan
write/sms "Fit Polynom Grad 1" cyan
write/sms "Fit Polynom Grad 2" cyan
write/sms "Fit Polynom Grad 3" cyan

inquire/keyword normmeth "N, 0, 1, 2, 3 ? [{normmeth}]: "

branch normmeth N,0,1,2,3 NF,CONST,FIT,FIT,FIT
write/sms "{fnormerr} MFLAT -> NFLAT"
copy/ii MFLAT NFLAT
goto FINIS

NF:
normalize/flat MFLAT NFLAT
goto FINIS

CONST:
statis/imag MFLAT + ? ? GNNN
compute/imag NFLAT = MFLAT / {MFLAT,statistic(8)}
goto FINIS

FIT:
write/sms "{smsatwork}"
-copy $MID_WORK/sms/fp{normmeth}.fits fp{normmeth}.fits
indisk/fits fp{normmeth}.fits fp{normmeth}.fit
fit/image {smsneval},0.01 MFLAT fp{normmeth}
set/form i1
write/sms "{fp{normmeth}.fit,FITINTG(2)} of {smsneval} iterations"
set/form
compute/fit FLATFIT = fp{normmeth}
compute/image NFLAT = MFLAT / FLATFIT

FINIS:

@@ sms/smsdisplay.prg NFLAT "Masterflat NFLAT.bdf"

write/sms "Masterflat NFLAT {created}"
