! Time-stamp: <2010-11-08 10:33:48 guenter>
!
! smsresol.prg
!
! (fwhm = sigma*2*sqrt(2*ln(2)) =sigma*2.354820)
!
define/para p1 + ? "nothing"

if p1 .eq. "-h" then
   @@ sms/help/resolhelp.prg
   return
endif

define/local i/i/1/1 1
define/local pf/i/1/1 0
define/local resol/r/1/1 0
define/local schwell/r/1/1 0
define/local ypos/r/1/1 0.5
define/local area/d/1/2 0.0,0.0
define/local upl/d/1/1 0.0
schwell = 2 * thres
!
set/midas newfiles=midas
DELETE/IMAG middummpeak0*.bdf no
average/row &rtsrowa = &rts @{object(1)},@{object(2)}
graph/long
plot/row &rtsrowa
upl = {&rtsrowa,start} + {&rtsrowa,step}*{&rtsrowa,npix}
replace/image &rtsrowa &rtsrow <,{thres}=0.0 >/dev/null
PEAKFIND:
find/pixel &rtsrow {schwell},> >/dev/null
if outputi(1) .gt. 0 then   
   area(1) = {&rtsrow,start} + {&rtsrow,step}*(outputi(1) - 3)
   if {area(1)} .le. {&rtsrow,start} then 
      if {&rtsrow,npix} .le. 2 goto WEITER
      extract/image &rtsrow = &rtsrow [@2:>]
      goto PEAKFIND
   endif
   extract/image &exline = &rtsrow [@{outputi(1)}:>]
   find/pixel &exline <,{thres} >/dev/null
   area(2) = {&exline,start} + {&rtsrow,step}*(outputi(1)+ 2)
   if {area(2)} .gt. {upl} goto WEITER
   extract/image &peak{i} = &rtsrowa [{area(1)}:{area(2)}]
   extract/image &rtsrow = &exline [{area(2)}:>]
   i = i + 1
   goto PEAKFIND
endif
WEITER:
plot/row &rtsrowa
create/table &resolution 1 1 NULL
create/column &resolution :RESOL
create/column &resolution :WAVE
pf = i - 1
set/form i1
write/sms "{pf} {found}"
if {pf} .lt. 1 return
set/form
do i = 1 {pf}
   center/gauss &peak{i}
   if {outputr(5)} .eq. 0 goto skipthis
   if {outputr(12)} .eq. 0 goto skipthis
   &resolution,:resol,@{i} = {outputr(1)} / {outputr(12)}
   &resolution,:wave,@{i} = {outputr(1)}} + 20 * {&peak{i},step} 
   ypos = {outputr(14)} * 0.9
   set/form f5.2
   set/graph colour=4
   label/graph {&resolution,:resol,@{i}} {&resolution,:wave,@{i}},{ypos} ? ? 1
   set/graph colour=1
   set/form
   skipthis: 
enddo
statis/table &resolution :resol
write/desc {smsresult} resol/i/1/3 {outputr(1)},{outputr(2)},{outputr(3)}
write/dhelp {smsresult} resol "Min, Max, Average"
if m$exist("{smsresult}_nor.fits") .ne. 0 then
   write/desc {smsresult}_nor resol/i/1/3 {outputr(1)},{outputr(2)},{outputr(3)}
   write/dhelp {smsresult}_nor resol "Min, Max, Average"
endif
set/form f1.0
write/sms "{smsresmean} {outputr(3)}"
set/form
